/*
 * Assignment.h
 *
 *  Created on: Dec 7, 2012
 *      Author: attero
 */

#ifndef ASSIGNMENT_H_
#define ASSIGNMENT_H_
#include <string>
#include "ASTExpression.h"
#include "../Context.h"

class Assignment : public ASTExpression {
public:
	Context * context;

	SenchaObject evaluate();
	void execute();
	void execute_quietly();
	void add_lvalue(ASTExpression *);
	void add_rvalue(ASTExpression *);
	virtual std::string debug() ;
	Assignment(ASTNode * parent, Context * context);
	virtual ~Assignment();
};

#endif /* ASSIGNMENT_H_ */
